<h3>User Form</h3>
<form [formGroup]="userForm" (ngSubmit) = "onSubmit()">
  <input type="hidden" formControlName="userId">
  <table class="full-width" cellspacing = "0">
      <tr>        
        <td>
          <mat-form-field class="full-width">
            <input matInput formControlName = "name" type="text" placeholder="User Name"/>
          </mat-form-field>
        </td>
        <td>
            <mat-form-field class="full-width">
              <input matInput formControlName = "email" type="email" placeholder="User Email"/>
            </mat-form-field>
          </td>
      </tr>
  </table>
  <button *ngIf = "!editMode" mat-flat-button color="primary" color="primary">Save</button>
  <button *ngIf = "editMode" mat-flat-button color="primary" color="primary">Edit</button>
</form>